
Foreman - Tracker #10467

Parameter UI improvements in host and hostgroup forms

05/11/2015 10:04 AM - Tom Caspy

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Bug #4419: [usability] override parameters UI workflow Closed 02/24/2014

Related to Foreman - Bug #8799: On host edit page, overriding inherited param... Closed 12/28/2014

Blocked by Foreman - Refactor #11458: Allow overriding parameters inline in h... Closed 08/24/2015

Blocked by Foreman - Bug #11450: Hidden parameters do not un-hide when unchec... Closed 08/23/2015

Blocked by Foreman - Refactor #11460: Host/Hostgroup parameters should have a... Closed 08/24/2015

Blocked by Foreman - Refactor #11461: In host/hostgroup parameters form, "Glo... Closed 08/24/2015

Blocked by Foreman - Refactor #11462: In host/hostgroup parameters form, "mor... Closed 08/24/2015

Blocked by Foreman - Refactor #11463: In host/hostgroup parameters form, para... Rejected 08/24/2015

Blocked by Foreman - Refactor #11464: In hostgroup parameters form, parent pa... Closed 08/24/2015

Blocked by Foreman - Bug #11465: In host/hostgroup parameters form, tables th... New 08/24/2015

Blocked by Foreman - Bug #11466: fullscreen buttons should be have consistent... Closed 08/24/2015

Blocked by Foreman - Bug #11467: In host/hostgroup parameters form, resizing ... Closed 08/24/2015

Blocked by Foreman - Bug #11468: In host/hostgroup parameters form, global pa... Closed 08/24/2015

Blocked by Foreman - Bug #11624: textareas not truely disabled for inherited ... Rejected 08/31/2015

Blocked by Foreman - Bug #11658: In host/hostgroup form, removing puppetclass... Rejected 09/02/2015

History

#1 - 05/11/2015 10:04 AM - Tom Caspy

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 05/12/2015 03:41 AM - Tom Caspy

- Status changed from New to Ready For Testing

- Pull request https://github.com/orrabin/foreman/pull/3 added

- Pull request deleted ()

#3 - 05/21/2015 09:20 AM - Tom Caspy

- Related to Bug #4419: [usability] override parameters UI workflow added

#4 - 07/14/2015 07:54 AM - Dominic Cleal

- Status changed from Ready For Testing to Assigned

- Pull request  added

- Pull request deleted (https://github.com/orrabin/foreman/pull/3)

https://github.com/theforeman/foreman/pull/2442 was the PR, which for some reason has been closed.
#5 - 07/19/2015 07:24 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2442 added

- Pull request deleted ()

#6 - 08/18/2015 03:21 AM - Jeff Sault

As discussed in #5868, our setup relies quite heavily on overriding parameters and the existing parameters page (on the host edit page) was causing

some serious usability issues for us. We're not much of a ruby place so have written something that dynamically rewrites the parameters page when it

is loaded. We use standard bootstrap objects so implementation should be fairly straightforward.

Our code probably isnt that useful but here are some screenshots. We've been using this layout for a while now with some very big classes (~400

params per class in some cases!) and it works well...

- all parameters are collapsed by default under their class so its quicker to navigate to the class you want to edit

- class names appear with numbers that show the number of overrides vs the total number of parameters for that class

- all parameter names are clear (even long ones)

- overrides are done inline, so no scrolling to the bottom

- the additional info data is immediately displayed to the user (we use the API to populate this data for all our internal modules)

- toggle buttons to display only overridden parameters

- overridden parameters have a star next to them to indicate an override

- we load a fancy json/yaml editor for parameters with suitable data types and simple radio buttons for boolean parameters

More than happy to share whatever we have if it helps.

Some screengrabs...
#7 - 08/24/2015 06:48 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Tom Caspy)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2442)

#8 - 08/24/2015 09:29 AM - Tomer Brisker

- Tracker changed from Feature to Tracker

- Subject changed from Parameter UI in host/group edit/create form to Parameter UI improvements in host and hostgroup forms

This is being split into several sub-issues.

#9 - 08/24/2015 09:30 AM - Tomer Brisker

- Related to Bug #11450: Hidden parameters do not un-hide when unchecking the hide checkbox added

#10 - 08/24/2015 09:35 AM - Tomer Brisker

- Blocked by Refactor #11458: Allow overriding parameters inline in host & hostgroup forms added

#11 - 08/24/2015 09:36 AM - Tomer Brisker

- Related to deleted (Bug #11450: Hidden parameters do not un-hide when unchecking the hide checkbox)

#12 - 08/24/2015 09:36 AM - Tomer Brisker

- Blocked by Bug #11450: Hidden parameters do not un-hide when unchecking the hide checkbox added

#13 - 08/24/2015 09:37 AM - Tomer Brisker

- Blocked by Refactor #11460: Host/Hostgroup parameters should have a clean layout added

#14 - 08/24/2015 09:38 AM - Tomer Brisker

- Blocked by Refactor #11461: In host/hostgroup parameters form, "Global scope" column tells nothing for global parameters, remove it added

#15 - 08/24/2015 09:41 AM - Tomer Brisker

- Blocked by Refactor #11462: In host/hostgroup parameters form, "more info" text is unneccesary added
#16 - 08/24/2015 09:43 AM - Tomer Brisker

- Blocked by Refactor #11463: In host/hostgroup parameters form, parameters should be displayed in a way that allows easily handling many classes

added

#17 - 08/24/2015 09:45 AM - Tomer Brisker

- Blocked by Refactor #11464: In hostgroup parameters form, parent parameters should look like host inherited parameters added

#18 - 08/24/2015 09:46 AM - Tomer Brisker

- Blocked by Bug #11465: In host/hostgroup parameters form, tables that are empty should display helpful text added

#19 - 08/24/2015 09:50 AM - Tomer Brisker

- Blocked by Bug #11466: fullscreen buttons should be have consistent layout throughout the application added

#20 - 08/24/2015 09:52 AM - Tomer Brisker

- Blocked by Bug #11467: In host/hostgroup parameters form, resizing textareas should only allow vertical resizing added

#21 - 08/24/2015 09:53 AM - Tomer Brisker

- Blocked by Bug #11468: In host/hostgroup parameters form, global parameters should be clearly separated from class parameters added

#22 - 08/30/2015 04:58 AM - Tomer Brisker

- Related to Bug #8799: On host edit page, overriding inherited parameters removes override button.  added

#23 - 08/31/2015 10:16 AM - Tomer Brisker

- Blocked by Bug #11624: textareas not truely disabled for inherited global params in host edit form added

#24 - 09/02/2015 07:14 AM - Ondřej Pražák

- Blocked by Bug #11658: In host/hostgroup form, removing puppetclasses in 'Puppet classes' tab does not trigger call to server added
